iSndSysSource3DDirectionalSimple Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iSndSysSource3DDirectionalSimple Struct Reference
Sound system

Extension to the iSndSysSource3D interface, allowing simple directional orientation of sound sources. More...

`#include <isndsys/ss_source.h>`

Inheritance diagram for iSndSysSource3DDirectionalSimple:

List of all members.

## Public Member Functions
virtual csVector3 | GetDirection ()=0
| get direction of this source
virtual float | GetDirectionalRadiation ()=0
| Retrieves the current directional radiation.
virtual void | SetDirection (csVector3 dir)=0
| set direction of this source
virtual void | SetDirectionalRadiation (float rad)=0
| The directional radiation applies to sound that are oriented in a particular direction.

## Detailed Description

Extension to the iSndSysSource3D interface, allowing simple directional orientation of sound sources.

The concept is a cone with it's apex at the source and extendning in a given direction, with a given half-angle. Within this cone the source is audible. Outside the cone, it is not.

Todo:
  The interface should probably be phased out and the software renderer updated to use iSndSysSource3DDirectional.

Definition at line 173 of file ss_source.h.

## Member Function Documentation

virtual csVector3 iSndSysSource3DDirectionalSimple::GetDirection | ( |  | ) | `[pure virtual]`

get direction of this source

virtual float iSndSysSource3DDirectionalSimple::GetDirectionalRadiation | ( |  | ) | `[pure virtual]`

Retrieves the current directional radiation.

virtual void iSndSysSource3DDirectionalSimple::SetDirection | ( | csVector3 | dir | ) | `[pure virtual]`

set direction of this source

virtual void iSndSysSource3DDirectionalSimple::SetDirectionalRadiation | ( | float | rad | ) | `[pure virtual]`

The directional radiation applies to sound that are oriented in a particular direction.

This value is expressed in radians and describes the half-angle of a cone spreading from the position of the source and opening in the direction of the source. Set this value to 0.0f for an omni-directional sound.

The documentation for this struct was generated from the following file:

- isndsys/ss_source.h